#
# Conditional build:
%bcond_without	apidocs		# API documentation

Summary:	Experimental D-Bus bindings for GObject
Summary(pl.UTF-8):	Eksperymentalne wiązania D-Busa do GObject
Name:		eggdbus
Version:	0.6
Release:	5
License:	LGPL v2+
Group:		Libraries
Source0:	https://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	b43d2a6c523fcb8b9d0b0300c4222386
URL:		https://cgit.freedesktop.org/~david/eggdbus
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.20.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.3}
BuildRequires:	gtk-doc-automake >= 1.3
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Experimental D-Bus bindings for GObject.

%description -l pl.UTF-8
Eksperymentalne wiązania D-Busa do GObject.

%package devel
Summary:	Development files for EggDBus library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki EggDBus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.20.0

%description devel
Development files for EggDBus library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki EggDBus.

%package static
Summary:	Static EggDBus library
Summary(pl.UTF-8):	Statyczna biblioteka EggDBus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static EggDBus library.

%description static -l pl.UTF-8
Statyczna biblioteka EggDBus.

%package apidocs
Summary:	EggDBus API documentation
Summary(pl.UTF-8):	Dokumentacja API EggDBus
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
EggDBus API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API EggDBus.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--with-html-dir=%{_gtkdocdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libeggdbus-1.la

%if %{with apidocs}
%{__rm} -r $RPM_BUILD_ROOT%{_gtkdocdir}/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libeggdbus-1.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libeggdbus-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/eggdbus-binding-tool
%attr(755,root,root) %{_bindir}/eggdbus-glib-genmarshal
%attr(755,root,root) %{_libdir}/libeggdbus-1.so
%{_includedir}/eggdbus-1
%{_pkgconfigdir}/eggdbus-1.pc
%{_mandir}/man1/eggdbus-binding-tool.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libeggdbus-1.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/eggdbus
%endif
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eggdbus.git;a=log;h=master

* Fri May 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 6633f55
- drop .la file, release 5

* Fri May 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 911742c
- updated URLs

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9560a49
- unconditional noarch subpackages

* Mon Mar 25 2019 Jan Rękorajski <baggins@pld-linux.org> 9535d61
- release 4 (by relup.sh)

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 49a9453
- release 3 (by relup.sh)

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 1906031
- noarch apidoc

* Sat Jan 16 2010 Jakub Bogusz <qboosh@pld-linux.org> a78caa7
- verbose binaries list, -devel summary cosmetics

* Wed Dec 30 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4d63323
- run gtkdocize

* Thu Dec 24 2009 shadzik <shadzik@pld-linux.org> 57a07be
- 0.6

* Mon Nov 16 2009 zbyniu <zbyniu@pld-linux.org> bdc28e8
- BR: docbook-dtd412-xml

* Thu Aug 20 2009 Patryk Zawadzki <patrys@room-303.com> 3b66b0c
- force -j1
- rel 2

* Tue Aug 11 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 088dd58
- bcond without apidocs

* Mon Jun 29 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b4ddf21
- updated to 0.5
- added -static and -apidocs subpackages
- pl

* Mon Jun 29 2009 Patryk Zawadzki <patrys@room-303.com> cd7ca65
- fix doc packaging

* Mon Jun 29 2009 Patryk Zawadzki <patrys@room-303.com> 9cbc01d
- initial PLD release

